
QGIS Application - Bug report #21631

Some processing algorithms raise an unnecessary error on dialog window opening

2019-03-20 08:25 PM - Andrea Giudiceandrea

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29447

Description

On Windows 7 64 bit with QGIS 3.4.5-1 LTR (commit:89ee6f6e23) and QGIS 3.7.0-10 Master (commit:1205fbfa71),

the "Create attribute index" (qgis:createattributeindex), "Random selection within subsets" (qgis:randomselectionwithinsubsets)

and "Select by attribute" (qgis:selectbyattribute) processing algorithms raise the following unnecessary error on dialog window opening

if there is no vector layer in the map:

WARNING     : Could not load selected layer/table. Dependent field could not be populated

It seems the warning was introduced with PR https://github.com/qgis/QGIS/pull/8967

Associated revisions

Revision b7173e45 - 2019-03-21 12:24 AM - Nyall Dawson

[processing] Fix warning when loading algorithm dialog and no layers

are present

Fixes #21631

Revision 57d649dd - 2019-03-21 12:24 AM - Nyall Dawson

[processing] Fix warning when loading algorithm dialog and no layers

are present

Fixes #21631

Revision c66159bd - 2019-03-21 06:10 AM - Nyall Dawson

[processing] Fix warning when loading algorithm dialog and no layers

are present

Fixes #21631

Revision b20e80ae - 2019-03-21 07:50 AM - Nyall Dawson
https://github.com/qgis/QGIS/pull/8967


[processing] Fix warning when loading algorithm dialog and no layers

are present

Fixes #21631

Revision 09df4ab0 - 2019-03-21 09:32 AM - Nyall Dawson

[processing] Fix warning when loading algorithm dialog and no layers

are present

Fixes #21631

History

#1 - 2019-03-21 12:54 AM - Nyall Dawson

- Status changed from Open to In Progress

#2 - 2019-03-21 06:10 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|c66159bd2dfb9fb6225c6ca1431bcf46a176cd32.
